fv::Value< T > Class Template Referenceabstract

A templated value. More...

`#include <value.hpp>`

Inheritance diagram for fv::Value< T >:
[legend]

## Public Member Functions

| Value (const std::string &name, const std::string &alias="")
virtual T & | get_value ()=0
| Calculate, if necessary, and return the value held by this object.
void | enable_logging (const std::function< std::string(T)> &value_to_string=[](T){return "";})
void | disable_logging ()

## Protected Attributes

std::function< std::string(T)> | value_to_string

## Detailed Description

### template<typename T>
class fv::Value< T >

A templated value.

In order to facilitate run-time creation of analysis routines, it is necessary to have some ability to get and store values. Values can either be directly taken from some original data source (i.e. ObservedValue), or they can be a function of some other set of values (i.e. DerivedValue). They template class T of Value<T> is the type of thing that is returned upon calling get_value().

Definition at line 265 of file value.hpp.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp